<mat-sidenav-container class="example-container">
	<mat-sidenav fixedInViewport #snav opened mode="side">
		<mat-list>
			<div class="logo-container" mat-list-item>
				<img class="logo" src="assets/imgs/logo.png" alt="">
			</div>
		</mat-list>
		<mat-nav-list>
			<ng-container *ngFor="let seccion of secciones">
				<ng-container *ngIf="!seccion.paginas">
					<a class="subnav" [routerLink]="seccion.url" mat-list-item [ngClass]="{ 'activo': isActive(seccion.url) }" matRipple [matRippleColor]="'rgba(103, 58, 183, 0.3)'"><span class="texto-nav">{{ seccion.titulo }}</span></a>
				</ng-container>
				<ng-container *ngIf="seccion.paginas">
					<a mat-list-item class="seccion" [ngClass]="{ 'expandida': seccion.expandida }" (click)="seccion.expandida = !seccion.expandida">
						<span class="texto-nav">{{ seccion.titulo }}</span>
						<mat-icon class="nav-dropdown-icon" [class.expandido]="seccion.expandida">keyboard_arrow_down</mat-icon>
					</a>
					<div class="paginas-seccion" [@collapsible]="seccion.expandida ? 'expanded' : 'collapsed'">
						<a *ngFor="let pagina of seccion.paginas" class="subnav" [ngClass]="{ 'activo': isActive(pagina) }" [routerLink]="pagina.url" mat-list-item matRipple [matRippleColor]="'rgba(103, 58, 183, 0.3)'">
							<span class="texto-nav">{{ pagina.titulo }}</span>
						</a>
					</div>
				</ng-container>
			</ng-container>
		</mat-nav-list>
	</mat-sidenav>
	
	<mat-sidenav-content>
		<mat-toolbar class="mat-elevation-z6" color="primary">
			<button mat-icon-button (click)="snav.toggle()"><mat-icon>menu</mat-icon></button>
			<span>FacturArte API v2</span>
			<app-url *ngIf="apiUrl !== null" [style]="{right: '11px', top: '4px', position: 'fixed'}" [method]="apiUrl.method" [url]="apiUrl.url"></app-url>
		</mat-toolbar>
		<router-outlet (activate)="onActivate($event)"></router-outlet>
	</mat-sidenav-content>
</mat-sidenav-container>
